{ pkgs ? import <nixpkgs> { } }:
with pkgs;
let
  sbcl' = sbcl.withPackages (ps: with ps; [
    hunchentoot
    dexador
    clack
    jzon
    serapeum
    deploy
    pkgs.openssl
    pkgs.openssl.out
    pkgs.openssl.dev
  ]);
in mkShell rec {
  name = "tfc";

  nativeBuildInputs = [
    gcc
    stdenv
    gnumake
    gdb
    pkg-config
    makeWrapper
  ];

  buildInputs = [
    hugo
    go
    nodejs
    sbcl'
    clippy
    rustc
    cargo
    rustfmt
    rust-analyzer
  ];
  
  shellHook = ''
  alias hss='hugo server --noHTTPCache'
  '';
}
